package com.zxbw.modulemain.contract

/**
 * Created by gaoleichao on 2018/6/20.
 */
class LoginContract {
    interface View {
        fun loginFaild(msg: String)

        fun smsCodeFaild(msg: String)

        fun loginSuc()

        fun smsCodeSuccess()
    }

    interface Presenter {

        fun requestCode(phone: String)


        fun codeLogin(phone: String, code: String)

        fun getUserInfo()

        fun phoneLogin(phone: String)

    }
}